package com.bonus.core.marketing.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("规则钱包扣款明细")
public class MarketRuleRecordWallet implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("规则记录主键")
   private Long recordId;
   @ApiModelProperty("钱包id")
   private Integer walletId;
   @ApiModelProperty("对应钱包交易金额/分")
   private BigDecimal amount;
   @ApiModelProperty("交易类型")
   private Integer tradeType;

   public Long getId() {
      return this.id;
   }

   public Long getRecordId() {
      return this.recordId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setRecordId(final Long recordId) {
      this.recordId = recordId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }
}
